GNU bug report logs - #66694
[PATCH] gnu: Add ani-cli

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jaeme Sifat <jaeme@HIDDEN>; Keywords: patch; merged with #66708; Done: Jaeme Sifat <jaeme@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 66694 <at> debbugs.gnu.org and Jaeme Sifat <jaeme@HIDDEN> Request was from Jaeme Sifat <jaeme@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 66694 <at> debbugs.gnu.org:


Received: (at 66694) by debbugs.gnu.org; 14 Nov 2023 18:01:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 14 13:01:51 2023
Received: from localhost ([127.0.0.1]:34150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r2xjS-0003V7-WA
	for submit <at> debbugs.gnu.org; Tue, 14 Nov 2023 13:01:51 -0500
Received: from mailtransmit04.runbox.com ([2a0c:5a00:149::25]:54434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jaeme@HIDDEN>) id 1r2xjP-0003Um-7g
 for 66694 <at> debbugs.gnu.org; Tue, 14 Nov 2023 13:01:49 -0500
Received: from mailtransmit02.runbox ([10.9.9.162] helo=aibo.runbox.com)
 by mailtransmit04.runbox.com with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <jaeme@HIDDEN>)
 id 1r2xia-00EGze-Em; Tue, 14 Nov 2023 19:00:56 +0100
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector2;
 h=Subject:From:Cc:To:MIME-Version:Date:Message-ID:Content-Type; 
 bh=L4NgbunYp8MvfRH9fQV5flL727YRLd54kvczLiIE9nY=; b=VSW5Uazhpw2lmfdMHFM4dKupK
 YVrhRx33wCPUY8Glf1+gg0MZOT2mOrCLPITiQs1KwP5BiwtkzlEkCeh0n8JyyXx1chv43CvA+FFlG
 9mavR7N0wTUDbLiRSDqu+9d0S4k4Jdb0/AiUuIKhRjYyqwqM2mllKbKVt89Ik8xwi15fhTp3QaXAH
 M+OxTWlwxr0lQggtPyBrJiygMAu+tOt6ZSnfVyBwBgurjkN9PnyiqsXG4RfxXjdp/FXePhoHiMvEb
 nd54mgvyBVCylxOgWJIt8hzMhTwzUNditEbREzg1uMvdaFp/m3A0lbcXpRLD1G/OpVOqBMdE3e5mb
 48XNenIGA==;
Received: from [10.9.9.74] (helo=submission03.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <jaeme@HIDDEN>)
 id 1r2xiZ-0001Qh-3a; Tue, 14 Nov 2023 19:00:55 +0100
Received: by submission03.runbox with esmtpsa [Authenticated ID (1176697)]
 (TLS1.2:ECDHE_SECP256R1__RSA_PSS_RSAE_SHA256__AES_256_GCM:256)
 (Exim 4.93) id 1r2xiV-000cKM-FH; Tue, 14 Nov 2023 19:00:51 +0100
Content-Type: multipart/mixed; boundary="------------nU7sTh3jgGzvpDAPIXDFdIIE"
Message-ID: <9c626928-898b-4c29-a716-f51eb4f9dddd@HIDDEN>
Date: Tue, 14 Nov 2023 13:00:49 -0500
MIME-Version: 1.0
User-Agent: Betterbird (Linux)
Content-Language: en-US
To: 66694 <at> debbugs.gnu.org
From: Jaeme Sifat <jaeme@HIDDEN>
Subject: Update on ani-cli?
Autocrypt: addr=jaeme@HIDDEN; keydata=
 xsFNBGUh17UBEACj7hvR9/2FmyZlX4RT6acohXPAhgSqDh9s790qOSjuUZr97h5BxwCwulHo
 zkBvVfnZTNQ6M++7ZDNL4YCMxu6iINPcRz9HX9DkNGWlxGEZ0vuqXlKAXrGi73zh4hbzbaPf
 3VjOzj8tEMpu0AtvYj8Tm2sF5YKQczVuaupHUitAUPLvfbgCCEDKMgV1rvv0RNS8bhk/VW88
 Lzr8KOGD63NfzeCuV3GlC9z8hv/rnlCOy+n3wkOpeKqnw9oo81nwU/s45hHgD1Parn1l03hD
 arm8LiSptX8eYfqFilAHieecTjFyr9GMHFrGK9udBPT2hTjddYjZ4csCC2WHNDjrt1N8zF6E
 bp0siqLBgAvGJz23PTg2LgI2H/UtTQZyGElRN0feMjzJKpHdf1Q7uf9ZGPnJZHLkH8OG3oJp
 xxRG/PYL40kBcENHlgO0bvK6HfvP1X+NwXn4rHoxFUr8LYoQK66R3TPYbCpEusuNGRrrVbe2
 Jl/+hAbtBheF4prVVgzGAgQfNn8f13ioAoSENB/ctICKpt0XvtByE5gqD8ozDht+ETgE3xpm
 pAVQb7AWUJDmyWhABbf5VIpDSaQ7VlVRG1eOQQO2pLBWB/BnWiMOUecjQY/qDtx1e4nkYxEF
 hsnzcrsDBIMHYo+EH1prsG5dYL2QKEmaSSkyxqrOfBrVu3LmNwARAQABzR5KYWVtZSBTaWZh
 dCA8amFlbWVAcnVuYm94LmNvbT7CwZQEEwEKAD4WIQTlSaXedR0W+D379S8rvj1MOQt5owUC
 ZSHXtQIbAwUJA8JnAAULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRArvj1MOQt5o4cBD/45
 ImyH4zOCqXlBqPpHTEFNBfLjMOxWs7elgJ61mn0gd7nzU6dHwnXEiapiSEh2WK6JQIOdmBcn
 6T5rMX/n5y1T901fbqIatWWY2NJCU+RqKfJ1SJzN2hSBVhTelMiZKWWqCK7O5bI5QNoOedL1
 I4pzJxw3nC2e3kuTI1FWJS+F2Wz+/Rt6JfjliYltmkQbjH185prcrV6I5iiL3GDF7PNtxgqX
 Z1WyfJJ+dMvJuj8+fkmKQEHXTWCmfjkEE6R1ODzbA3PKnaFVyzVsur43v/ZGnm07NxsFH1Ft
 eTxFVDqW9dVz1FY+aTMVy0ATEnrnAY+aj/2x1civu2wr2OD499u4jdjfxmv4MAeZs9/Ugxz8
 FtbFM4l61I/Kb57IyWjH5EdvaAI4JEdvd3vF3P/Rq/EsVAkjEUHKlEOY4rtugnwJhUDdpU6B
 DZUmkOPvL8rHM+iGjFf97GZTiKCh90Ce6CAWDeNkTzRf5+2/oQ84eJFEAOve9pVpUaHiUTkX
 qsVZMJ0Y38djs/6JCij6n1JBiLg1qgDAko+hoZbltUQ2WVBtAj3kPLmGCXIm0JA0JxKbfwvK
 lFyCUngxAx9xmmm2Zr3nxCedmjvJxI5ICEQugDHg1ZPaL2IxQnVeBUJrZBRQD/O+6/r4sSVv
 yypZgcjH+oXB0PcXQSow56Ye78sB+4qoBc7BTQRlIde1ARAApiELfaRoTRFxKRZPNDZ+BjgT
 DfgFAOCDSEFc30cldyCC45/sUdPh2oHn8bqHGNIHPpCfXjHEl0jwhug6s7bJNsfX7O4BwDk9
 dydc4EwzAxnYkMRLCfm4vlyKH8r1PSQVuqIPGSEhx48UzcyxB8Mn3s7mZW0nf8T4SrDVcdGD
 aIuTRAfdVaVGUpvULruIkgOAEMgirKkefvro0fVgJMM6w8JNw8cxB1GwdEyFI8fKO/kfidSb
 quTEYfvhj8F703RqVwqvgmDnjGgtv5PqYmbhauZortE1xITXknlqNYxoZDSSgH4nmn5yw/Wv
 njUhFaagq/r3lCTrgJEgWGzLTJGFzJdE/u5rj3ZrX+ck5S+74yVSnAtLeK6frJ0g+ECLcxJa
 JcntUytPeqs9nC3YTQ6j9fmCfxyxUl7aIdm5eakpSzR8pRRgkbUY2LDNyY1/k1NzEdLM3gXT
 IGadpjnw10TyoUoypl7734xeQC3wXLLest0sExcsmw2dUVSN6vtOmhs4aW7Wkao96swQ/ulq
 4xR3SEoSUVMP3FnCblmhNEFHVF80XEakg9E7yik7y36sJqFOvhLJO3AqLM6ZzDEp3dVCA6ld
 w/Kej9Ea16F509KWTgBKltnzjZuR3mo7tLbhHqF9wYC3yDnNHevfh+4/0uZNQ8cy2KhoB5Xe
 2/SRtQFL8EEAEQEAAcLBfAQYAQoAJhYhBOVJpd51HRb4Pfv1Lyu+PUw5C3mjBQJlIde1AhsM
 BQkDwmcAAAoJECu+PUw5C3mjLbYP/2/LOik+xQLFcEJNLwXHqNa/hD08meCOxOsZPpN0y5Vx
 Ta8F+RN3TzJUznlTqRL59JRYiPJ3SANeHOzIxFwEzEFrCtuHTJXkXkfbBfjEHEz1szwnnJZd
 y8lEmwZ5bOAqTVjzFSQJpjFCM7Um090rPoTAfOQ7ZYXEIC6UhbmPUzj5ECfFszdcgNthZ4uR
 QPxPPHrihQB5ePEL5fyTGaedst29zVdDvS1u3p2EQix3Mb/BOXbDBJf8eJm2FPk5nAppcwR9
 E7TfZ4uQVGr9HE0w0gLzxEfZn4qd+2NAYUFbzXhN+mk80wo5FKJaMhKXFBKueiRfy4DhMsn6
 fRmQ2s2gOnIjrhl7TKs5M7S+x8Vj93aYxSFZ4ksbdAHTTFq4jHKnSq/tovZGpqTi3EurddAZ
 /QH2QDUaZhNgRYyLfgKJcd31CpLb3xJHknnHodLLPPOY0AofKSNePA9XcAXQ26I3TEd67dFe
 jcMX4fQTy0IOB+47Hz4AZRusrHMQKShYGghq3GCEh6knhlitsNc4eXp230hwgqm1UZA/9Opd
 ruTOQOsNBeEbKoKfpjuv9b/72JoMK2aRmyerxUb7cNvB7DXbyIY54kGifa6ASleA0PRbksXC
 5B2kDoXWLlvCOQLMTQEI9gxMXEF2wPWQLE0CewNRuivUtjdIa3jCkznbF2/OKHz/
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 66694
Cc: me@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------nU7sTh3jgGzvpDAPIXDFdIIE
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

Hi,

There hasn't been any activity on this issue for a while now and my 
patch hasn't been merged yet.

Respond Soon,

Jaeme

--------------nU7sTh3jgGzvpDAPIXDFdIIE
Content-Type: text/x-patch; charset=UTF-8; name="0001-gnu-Add-ani-cli.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-ani-cli.patch"
Content-Transfer-Encoding: base64
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--------------nU7sTh3jgGzvpDAPIXDFdIIE--




Information forwarded to guix-patches@HIDDEN:
bug#66694; Package guix-patches. Full text available.

Message received at 66694 <at> debbugs.gnu.org:


Received: (at 66694) by debbugs.gnu.org; 29 Oct 2023 06:17:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 29 02:17:14 2023
Received: from localhost ([127.0.0.1]:40254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qwz6m-0004i4-0J
	for submit <at> debbugs.gnu.org; Sun, 29 Oct 2023 02:17:14 -0400
Received: from mailtransmit05.runbox.com ([2a0c:5a00:149::26]:39842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jaeme@HIDDEN>) id 1qwz6g-0004hO-7g
 for 66694 <at> debbugs.gnu.org; Sun, 29 Oct 2023 02:17:10 -0400
Received: from mailtransmit02.runbox ([10.9.9.162] helo=aibo.runbox.com)
 by mailtransmit05.runbox.com with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <jaeme@HIDDEN>) id 1qwz61-00BfVK-Fy
 for 66694 <at> debbugs.gnu.org; Sun, 29 Oct 2023 07:16:25 +0100
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector2;
 h=Content-Transfer-Encoding:Content-Type:Subject:From:Cc:To:
 MIME-Version:Date:Message-ID; bh=bAYk4LprSjOfHon3ReOawxKgYmaDoX5SSMTxbqaRiX4=
 ; b=jKapyR4ooGZ5iW67jPbutKi1T+ZgwJ+DjgUL/AUqebYDMgEIN/RCTyc2gSopVthLrX/PfuKQP
 eiXGqcH5RsVkWsVe3VMzhmX2WeDaVjn9wOUgPCJxbD9Z2WHno7Gyjngq2PdaMt5/Kw9EUn8yfpypp
 TMvudVmy3jyvdQELyKtWlPvhQRrOuKuuclGBYVzo4Jc3qbIziEaJffnwWH3+ua/sFHcZsnbyo+2eL
 0+p6bdPqsTLP6FTbnvPYsy8/iVWMYyJcGGH30sobcwse1PjM6g8W7Ik42PMivj+nS/1shDNHU7Tmt
 K08TXaTonV6iUeE9JzOWHgl5+4qfLCuuOrHtQw==;
Received: from [10.9.9.72] (helo=submission01.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <jaeme@HIDDEN>)
 id 1qwz60-0000XJ-Nw; Sun, 29 Oct 2023 07:16:24 +0100
Received: by submission01.runbox with esmtpsa [Authenticated ID (1176697)]
 (TLS1.2:ECDHE_SECP256R1__RSA_PSS_RSAE_SHA256__AES_256_GCM:256)
 (Exim 4.93) id 1qwz5h-001LsH-4G; Sun, 29 Oct 2023 07:16:05 +0100
Message-ID: <c90f6525-fcce-4006-be25-d65c84e6cdfc@HIDDEN>
Date: Sun, 29 Oct 2023 02:16:03 -0400
MIME-Version: 1.0
User-Agent: Betterbird (Linux)
Content-Language: en-US
To: 66694 <at> debbugs.gnu.org
From: jaeme <jaeme@HIDDEN>
Subject: Re: [bug#66694] Revision
Autocrypt: addr=jaeme@HIDDEN; keydata=
 xsFNBGUh17UBEACj7hvR9/2FmyZlX4RT6acohXPAhgSqDh9s790qOSjuUZr97h5BxwCwulHo
 zkBvVfnZTNQ6M++7ZDNL4YCMxu6iINPcRz9HX9DkNGWlxGEZ0vuqXlKAXrGi73zh4hbzbaPf
 3VjOzj8tEMpu0AtvYj8Tm2sF5YKQczVuaupHUitAUPLvfbgCCEDKMgV1rvv0RNS8bhk/VW88
 Lzr8KOGD63NfzeCuV3GlC9z8hv/rnlCOy+n3wkOpeKqnw9oo81nwU/s45hHgD1Parn1l03hD
 arm8LiSptX8eYfqFilAHieecTjFyr9GMHFrGK9udBPT2hTjddYjZ4csCC2WHNDjrt1N8zF6E
 bp0siqLBgAvGJz23PTg2LgI2H/UtTQZyGElRN0feMjzJKpHdf1Q7uf9ZGPnJZHLkH8OG3oJp
 xxRG/PYL40kBcENHlgO0bvK6HfvP1X+NwXn4rHoxFUr8LYoQK66R3TPYbCpEusuNGRrrVbe2
 Jl/+hAbtBheF4prVVgzGAgQfNn8f13ioAoSENB/ctICKpt0XvtByE5gqD8ozDht+ETgE3xpm
 pAVQb7AWUJDmyWhABbf5VIpDSaQ7VlVRG1eOQQO2pLBWB/BnWiMOUecjQY/qDtx1e4nkYxEF
 hsnzcrsDBIMHYo+EH1prsG5dYL2QKEmaSSkyxqrOfBrVu3LmNwARAQABzR5KYWVtZSBTaWZh
 dCA8amFlbWVAcnVuYm94LmNvbT7CwZQEEwEKAD4WIQTlSaXedR0W+D379S8rvj1MOQt5owUC
 ZSHXtQIbAwUJA8JnAAULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRArvj1MOQt5o4cBD/45
 ImyH4zOCqXlBqPpHTEFNBfLjMOxWs7elgJ61mn0gd7nzU6dHwnXEiapiSEh2WK6JQIOdmBcn
 6T5rMX/n5y1T901fbqIatWWY2NJCU+RqKfJ1SJzN2hSBVhTelMiZKWWqCK7O5bI5QNoOedL1
 I4pzJxw3nC2e3kuTI1FWJS+F2Wz+/Rt6JfjliYltmkQbjH185prcrV6I5iiL3GDF7PNtxgqX
 Z1WyfJJ+dMvJuj8+fkmKQEHXTWCmfjkEE6R1ODzbA3PKnaFVyzVsur43v/ZGnm07NxsFH1Ft
 eTxFVDqW9dVz1FY+aTMVy0ATEnrnAY+aj/2x1civu2wr2OD499u4jdjfxmv4MAeZs9/Ugxz8
 FtbFM4l61I/Kb57IyWjH5EdvaAI4JEdvd3vF3P/Rq/EsVAkjEUHKlEOY4rtugnwJhUDdpU6B
 DZUmkOPvL8rHM+iGjFf97GZTiKCh90Ce6CAWDeNkTzRf5+2/oQ84eJFEAOve9pVpUaHiUTkX
 qsVZMJ0Y38djs/6JCij6n1JBiLg1qgDAko+hoZbltUQ2WVBtAj3kPLmGCXIm0JA0JxKbfwvK
 lFyCUngxAx9xmmm2Zr3nxCedmjvJxI5ICEQugDHg1ZPaL2IxQnVeBUJrZBRQD/O+6/r4sSVv
 yypZgcjH+oXB0PcXQSow56Ye78sB+4qoBc7BTQRlIde1ARAApiELfaRoTRFxKRZPNDZ+BjgT
 DfgFAOCDSEFc30cldyCC45/sUdPh2oHn8bqHGNIHPpCfXjHEl0jwhug6s7bJNsfX7O4BwDk9
 dydc4EwzAxnYkMRLCfm4vlyKH8r1PSQVuqIPGSEhx48UzcyxB8Mn3s7mZW0nf8T4SrDVcdGD
 aIuTRAfdVaVGUpvULruIkgOAEMgirKkefvro0fVgJMM6w8JNw8cxB1GwdEyFI8fKO/kfidSb
 quTEYfvhj8F703RqVwqvgmDnjGgtv5PqYmbhauZortE1xITXknlqNYxoZDSSgH4nmn5yw/Wv
 njUhFaagq/r3lCTrgJEgWGzLTJGFzJdE/u5rj3ZrX+ck5S+74yVSnAtLeK6frJ0g+ECLcxJa
 JcntUytPeqs9nC3YTQ6j9fmCfxyxUl7aIdm5eakpSzR8pRRgkbUY2LDNyY1/k1NzEdLM3gXT
 IGadpjnw10TyoUoypl7734xeQC3wXLLest0sExcsmw2dUVSN6vtOmhs4aW7Wkao96swQ/ulq
 4xR3SEoSUVMP3FnCblmhNEFHVF80XEakg9E7yik7y36sJqFOvhLJO3AqLM6ZzDEp3dVCA6ld
 w/Kej9Ea16F509KWTgBKltnzjZuR3mo7tLbhHqF9wYC3yDnNHevfh+4/0uZNQ8cy2KhoB5Xe
 2/SRtQFL8EEAEQEAAcLBfAQYAQoAJhYhBOVJpd51HRb4Pfv1Lyu+PUw5C3mjBQJlIde1AhsM
 BQkDwmcAAAoJECu+PUw5C3mjLbYP/2/LOik+xQLFcEJNLwXHqNa/hD08meCOxOsZPpN0y5Vx
 Ta8F+RN3TzJUznlTqRL59JRYiPJ3SANeHOzIxFwEzEFrCtuHTJXkXkfbBfjEHEz1szwnnJZd
 y8lEmwZ5bOAqTVjzFSQJpjFCM7Um090rPoTAfOQ7ZYXEIC6UhbmPUzj5ECfFszdcgNthZ4uR
 QPxPPHrihQB5ePEL5fyTGaedst29zVdDvS1u3p2EQix3Mb/BOXbDBJf8eJm2FPk5nAppcwR9
 E7TfZ4uQVGr9HE0w0gLzxEfZn4qd+2NAYUFbzXhN+mk80wo5FKJaMhKXFBKueiRfy4DhMsn6
 fRmQ2s2gOnIjrhl7TKs5M7S+x8Vj93aYxSFZ4ksbdAHTTFq4jHKnSq/tovZGpqTi3EurddAZ
 /QH2QDUaZhNgRYyLfgKJcd31CpLb3xJHknnHodLLPPOY0AofKSNePA9XcAXQ26I3TEd67dFe
 jcMX4fQTy0IOB+47Hz4AZRusrHMQKShYGghq3GCEh6knhlitsNc4eXp230hwgqm1UZA/9Opd
 ruTOQOsNBeEbKoKfpjuv9b/72JoMK2aRmyerxUb7cNvB7DXbyIY54kGifa6ASleA0PRbksXC
 5B2kDoXWLlvCOQLMTQEI9gxMXEF2wPWQLE0CewNRuivUtjdIa3jCkznbF2/OKHz/
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 66694
Cc: me@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello T,


T wrote:

 > We don't sign off on our own patches in Guix. Our Signed-off-by does 
not have the same DCO meaning as it does for, e.g., Linux. Ours is 
merely a stamp of approval by a committer.

I see, I do wish I knew that earlier before sending my other patches. 
Maybe that should be written somewhere in the Contributing section of 
the Guix manual because I have my ~/.gitconfig automatically add the 
signed-off line to all my commits. Thank you for mentioning that.


T wrote:

 > Apparently the copy-build-system doesn't acknowledge the existence of 
cross compilation, like, at all?

That not surprisingly went over my head. Can you tell me how you 
discovered that? I would like to know.


T wrote:

 > ...you don't want the  script calling the build-time ‘native’ grep at 
run time.

Noted (still learning lots').


T wrote:

 > I also added bash-minimal at ‘guix lint’'s suggestion.

I also saw that suggestion but I didn't add it since I already had 
coreutils which in my mind eclipsed bash-minimal.


T wrote:

 > we conventionally put fields in this order:

Duly Noted.


T wrote:

 > Here's a random Deep Guix Thing that I'm too tired to explain further:

I remember reading about 'search-native-paths' in a Guix blog, I'm glad 
the --pure situation is cleared up.


T wrote:

 > I do wonder: just how legal is this script, and the one Web site to 
which it's tightly bound?

 From looking at <https://repology.org/project/ani-cli/versions> for the 
other third-party packagers: Debian, Ubuntu, Gentoo as well as nixpkgs 
have this script in their repositories. In addition, disclaimer.md 
posits that ani-cli can be thought of as a browser/wrapper rather than 
being a direct source for copyrighted content. We don't know when the 
website(s) will stop working but we can assume that the script will be 
updated as well as it's fairly active and popular in the GNU/Linux 
world. But to offer a more principled rebuttal, yt-dlp also has this 
similar issue of relying on a nonfree, non-federated network service 
(google videos/YouTube). However, one of the niches of yt-dlp is that it 
offers a way for users to stream/download videos hosted on YouTube 
without having to load the proprietary JS through their web browser. 
This package could serve a similar purpose to guix users as it's much 
safer to stream content directly rather than having to connect to and 
load the website (if it is possible at all with GNU Icecat) via web 
browser.


On a side note, this is my first time interacting with a mailing 
list/submitting patches. I have a lot of growing pains to get through.


Thanks,

Jaeme








Information forwarded to guix-patches@HIDDEN:
bug#66694; Package guix-patches. Full text available.

Message received at 66694 <at> debbugs.gnu.org:


Received: (at 66694) by debbugs.gnu.org; 28 Oct 2023 23:14:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 19:14:14 2023
Received: from localhost ([127.0.0.1]:39898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qwsVR-0001XK-SI
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2023 19:14:14 -0400
Received: from tobias.gr ([80.241.217.52]:57052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1qwsVO-0001X8-0J
 for 66694 <at> debbugs.gnu.org; Sat, 28 Oct 2023 19:14:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=g+KLwxErWpd56
 kTJAC1ETGwJ6uB7sBpt1ddxpJVE5zs=; h=date:subject:to:from;
 d=tobias.gr; 
 b=VeNLVapFNZzxTuxEsMwhkOj6gt4gm2k3tuZi+YJ9D5vwOdhZeCtDYSIDBScsb0YHTva4
 0tDxWvtGcaqGXXpepNPxGyTZtmi7xldUJjcVuzaQetCxgBFJvORHFSC3NyYBnBSw4szHWX
 c+/eBj+WHBLGBkOhq/PxHcI9zjTtydpNS1/Z4lb+jpsTN7EpADLXWPi7C+Ky31nPc1+53T
 cJXR0uKOsbbYF5DD0bVvd+wPM/WV035XpXCNAIeRODsji3dAvRk8jhXVBVfqVTEKWo1eE6
 Nud5A2He04mQ6pMOU2+OHmDWY/kl1lzp3ez/NJtofHxLVCSSwnjdN/aB//DRwpBg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id d1aab8be
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO) for <66694 <at> debbugs.gnu.org>;
 Sat, 28 Oct 2023 23:13:33 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 66694 <at> debbugs.gnu.org
Subject: Re: [bug#66694] [PATCH] gnu: Add ani-cli 
Date: Sun, 29 Oct 2023 00:46:45 +0200
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <878r7me3xe.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 66694
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Jaeme,

Thanks for submitting this package!  I've attached my revision=20
below.

We don't sign off on our own patches in Guix.  Our Signed-off-by=20
does not have the same DCO meaning as it does for, e.g., Linux.=20
Ours is merely a stamp of approval by a committer.

+(define-public ani-cli
+  (package
+    (name "ani-cli")
+    (version "4.6")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/pystardust/ani-cli")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32=20
"1ni9pzjb5qh87iz7c8252bx79qadr1qx6jnkqvvjcqrchh7q473a"))))
+    (build-system copy-build-system)

So=E2=80=A6  uhm.

Apparently the copy-build-system doesn't acknowledge the existence=20
of cross compilation, like, at all?

This is a bug in Guix, not you, but here I switched to the=20
gnu-build-system to avoid it.

+                       (wrap-program (string-append #$output=20
"/bin/ani-cli")
+                         `("PATH" ":" prefix
+                           ,(map bin
+                                 (list "aria2c"
+                                       "curl"
+                                       "ffmpeg"
+                                       "fzf"
+                                       "grep"
+                                       "mpv"
+                                       "sed"
+                                       "uname"
+                                       "yt-dlp")))))))))

I added "tput" to this list.  While the script appears to be=20
usable without it, it spits out ugly errors and might misbehave.

+    (home-page "https://github.com/pystardust/ani-cli")
+    (synopsis "CLI to browse and watch anime")
+    (description
+     "ani-cli is a command-line interface (CLI) to browse and=20
watch anime.  It
+provides an easy way to stream shows using allanime as a source.=20
There are
+different features such as episode browsing, history tracking,=20
streaming at
+multiple resolutions and much more depending on what programs the=20
user has
+installed.")

I took the liberty of rewriting this a bit, including my previous=20
@uref suggestion.

+    (inputs (list aria2
+                  coreutils
+                  curl
+                  ffmpeg
+                  fzf
+                  mpv
+                  yt-dlp))

Besides ncurses for tput, I added grep and sed for the wrapper.=20
This will matter when the package cross-builds: you don't want the=20
script calling the build-time =E2=80=98native=E2=80=99 grep at run time.

I also added bash-minimal at =E2=80=98guix lint=E2=80=99's suggestion.

We conventionally put fields in this order:

  source
  build-system
  arguments
  native-inputs
  inputs
  propagated-inputs
  home-page
  synopsis
  description
  license

This is not a hard rule and you'll find variants, but I moved the=20
inputs to their conventional location above the Metadata Zone.

+    (license license:gpl3)))

As noted in #guix, I changed this to GPL3+ due to the =E2=80=98or (at your=
=20
option) any later version=E2=80=99 wording.

Here's a random Deep Guix Thing that I'm too tired to explain=20
further: because this script invokes curl, and to avoid=20
propagating curl, I added a copy of one of our curl package's=20
native-search-paths.  This makes the script work inside a --pure=20
guix shell, as long as you include nss-certs.

I do wonder: just how legal is this script, and the one Web site=20
to which it's tightly bound?

Kind regards,

T G-R


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=0001-gnu-Add-ani-cli.patch
Content-Transfer-Encoding: quoted-printable

From=20e35b26790407b8019bee2f824f03f31c173e3507 Mon Sep 17 00:00:00 2001
Message-ID: <e35b26790407b8019bee2f824f03f31c173e3507.1697932801.git.me@tob=
ias.gr>
From: jaeme <jaeme@HIDDEN>
Date: Thu, 26 Oct 2023 19:48:51 -0400
Subject: [PATCH] gnu: Add ani-cli.

* gnu/packages/video.scm (ani-cli): New variable.

Signed-off-by: Tobias Geerinckx-Rice <me@HIDDEN>
Change-Id: I21ea258f164285dea0d46379dff120b105803dd0
=2D--
 gnu/packages/video.scm | 75 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 75 insertions(+)

diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index b4dd7c27ae..cdce376d3e 100644
=2D-- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -66,6 +66,7 @@
 ;;; Copyright =C2=A9 2023 Ott Joon <oj@HIDDEN>
 ;;; Copyright =C2=A9 2023 Dominik Delgado Steuter <dds@HIDDEN>
 ;;; Copyright =C2=A9 2023 Saku Laesvuori <saku@HIDDEN>
+;;; Copyright =C2=A9 2023 Jaeme Sifat <jaeme@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -116,6 +117,7 @@ (define-module (gnu packages video)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages bison)
+  #:use-module (gnu packages bittorrent)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages cdrom)
   #:use-module (gnu packages check)
@@ -194,6 +196,7 @@ (define-module (gnu packages video)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages ssh)
   #:use-module (gnu packages swig)
+  #:use-module (gnu packages terminals)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages textutils)
   #:use-module (gnu packages tls)
@@ -209,6 +212,78 @@ (define-module (gnu packages video)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg))
=20
+(define-public ani-cli
+  (package
+    (name "ani-cli")
+    (version "4.6")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/pystardust/ani-cli")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1ni9pzjb5qh87iz7c8252bx79qadr1qx6jnkqvvjcqrchh7q473a"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list
+      #:tests? #f                       ;no test suite
+      #:phases
+      #~(modify-phases %standard-phases
+          (delete 'configure)           ;nothing to configure
+          (delete 'build)               ;nothing to build
+          (replace 'install
+            (lambda _
+              (install-file "ani-cli" (string-append #$output "/bin"))
+              (install-file "ani-cli.1"
+                            (string-append #$output "/share/man/man1"))))
+          (add-after 'install 'wrap
+            (lambda* (#:key inputs #:allow-other-keys)
+              (define (bin command)
+                (dirname (search-input-file
+                          inputs (string-append "bin/" command))))
+              (wrap-program (string-append #$output "/bin/ani-cli")
+                `("PATH" ":" prefix
+                  ,(map bin (list "aria2c"
+                                  "curl"
+                                  "ffmpeg"
+                                  "fzf"
+                                  "grep"
+                                  "mpv"
+                                  "sed"
+                                  "tput"
+                                  "uname"
+                                  "yt-dlp")))))))))
+    (inputs (list aria2
+                  bash-minimal
+                  coreutils
+                  curl
+                  ffmpeg
+                  fzf
+                  grep
+                  mpv
+                  ncurses
+                  sed
+                  yt-dlp))
+    (native-search-paths
+     ;; This was copied from the curl package.
+     (list (search-path-specification
+            (variable "CURL_CA_BUNDLE")
+            (file-type 'regular)
+            (separator #f)              ;single entry
+            (files '("etc/ssl/certs/ca-certificates.crt")))))
+    (home-page "https://github.com/pystardust/ani-cli")
+    (synopsis "Browse and watch anime from the command line")
+    (description
+     "ani-cli is a @acronym{CLI, command-line interface} to browse and wat=
ch
+anime by streaming videos from @uref{https://allanime.to,All Anime}.
+
+There are different features such as episode browsing, history tracking,
+streaming at multiple resolutions, and much more, depending on what progra=
ms the
+user has installed.")
+    (license license:gpl3+)))
+
 (define-public transcode
   (package
     (name "transcode")

base-commit: 4dfbc536689b07e56aead3dd864b8af54613d091
prerequisite-patch-id: 0f2ea4144d953a8626c7a6aaede0a6797ec9c5f9
prerequisite-patch-id: 658b58a6e368317e83f8b511bebd9b3ae0b7b6f8
prerequisite-patch-id: 95d6d324d080671cb1ac94ff17e73109f54b7977
prerequisite-patch-id: 7e6e4ab87b52996e9bb6cd8595889f21ba87e9fe
prerequisite-patch-id: 6f86f2a54f77c0e8841b6f22953c2f748e358107
prerequisite-patch-id: 7c88071ffd6af8c9de9a44ef2e745e3b111d28e7
prerequisite-patch-id: dacf336396c4f629906e4689dc2868d437179a37
prerequisite-patch-id: 35641348fcba881313d08cb85da3722ba0891264
prerequisite-patch-id: ea98f949fde81f63a309e36405b87463dc07ac50
prerequisite-patch-id: a299994eb9a52db942a5cc3a038b8bc34529c799
prerequisite-patch-id: 9ffc6d3a9be37af59ec29bfce0543cf8371edacb
prerequisite-patch-id: c489fbc8af7d431f9372d0b8bc9e4c609703680e
prerequisite-patch-id: 471c932817cc1044fd03f56e1a1f84e4ce4029a9
prerequisite-patch-id: 88f3a5981ea62ce654a48c258df09315f24ba73e
prerequisite-patch-id: 62b7b8d8b26d642f524d45e910f7685a57345d76
prerequisite-patch-id: 6ad7cb518d3f48614c97e7ef851289a8f4375306
prerequisite-patch-id: 3fec7d86bd725207d19e77b38cba7f989af68ea3
prerequisite-patch-id: 3bd20d51aa3a07f86722c5894b85f58b96e1e798
prerequisite-patch-id: 1011132081c09cd02295c999c9af44d1191bc4b2
prerequisite-patch-id: 83ffbbea6cae29ccd11395332446c2a8eb88fd6c
prerequisite-patch-id: 760df26aee26e14249c412f32630ae6e71a3fa3e
prerequisite-patch-id: b89039b55bef0639c3679b1a5ba13b7a5593af5b
prerequisite-patch-id: 24fc8fdb82bb9287ed944673e2f922587bc49503
prerequisite-patch-id: 077e45c8081930192499bfa5c7391d882b1ad401
prerequisite-patch-id: f31368d6b77f811e4b1fba489492ac4d6cde0948
prerequisite-patch-id: fc4e5787813af14bc812bc61a18acd684bd319af
prerequisite-patch-id: 08f122a2c9dec498a089d665280f37191f96a1ba
prerequisite-patch-id: 6da0dcc6295b755538d7cb2ae4d7f290c3d14e98
prerequisite-patch-id: 7220d8204293754caa4db9ebe3c788ee336d8889
prerequisite-patch-id: 6462f9da097dee40814cf546412b47552f3911a7
prerequisite-patch-id: 9ba212fb95cb7eb4badf51ca677cf5109c2ed881
prerequisite-patch-id: 5ac9fa96627b4d3593429f55b391e66ccf8f14e2
prerequisite-patch-id: a43431df227168b9d0dbb627277ff668fc04c759
prerequisite-patch-id: d72ec36511b6a610072e24e051bbe859af3490fe
=2D-=20
2.41.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCZT2Vng0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15dCoA/RZoCZWngoXGkCQWvbzZQ1o5YjnIyO3W/XdwO1am
qSBBAP4ptJ0Tsv6rhAVnpNqKIFD5lHsy8YT6jxvmNkgPD7OOBA==
=4YLM
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#66694; Package guix-patches. Full text available.
Merged 66694 66708. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 66694 <at> debbugs.gnu.org:


Received: (at 66694) by debbugs.gnu.org; 26 Oct 2023 23:49:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 26 19:49:51 2023
Received: from localhost ([127.0.0.1]:34697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qwA6p-0002Oz-Dn
	for submit <at> debbugs.gnu.org; Thu, 26 Oct 2023 19:49:51 -0400
Received: from mailtransmit04.runbox.com ([2a0c:5a00:149::25]:44090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jaeme@HIDDEN>) id 1qwA6n-0002Od-2t
 for 66694 <at> debbugs.gnu.org; Thu, 26 Oct 2023 19:49:50 -0400
Received: from mailtransmit03.runbox ([10.9.9.163] helo=aibo1.runbox.com)
 by mailtransmit04.runbox.com with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <jaeme@HIDDEN>) id 1qwA69-005jtf-JT
 for 66694 <at> debbugs.gnu.org; Fri, 27 Oct 2023 01:49:09 +0200
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector2;
 h=From:To:MIME-Version:Date:Message-ID:Content-Type; 
 bh=3d8IOfFINmxh39G/svct0wq6yOiFap4m8hc8+O754sQ=; b=FupWYn37X9Y3J036yNKMbQ370P
 E5Tbl3bWeAnMLJMTIqph/q6nrNuarETr3JgZrqKYqBfeXuCwEnVo+z4IWubqYpQcabuG5bpW/iA3Q
 YsFwvN1bcC4e2oMzZNW42hJamD8TLMlJcuIWqzOisdYxk38gJaZVaGiI+fezjutkkztUSx8H7VZ9W
 YjO1unV6pnb9CPfDjSlQbhIKxFLx0uBMh8xYpGvwF6L4dy9NJJr6qMbm3XSfpUSD2WInE4N9dieXA
 hWHCWZiYRbtEfm2eEcU2pN2Grw7rz/rW+078Md3w3/RskVZeGf8mTqJ+ibAwVYBIOKp4o305p5abQ
 PC75uRww==;
Received: from [10.9.9.72] (helo=submission01.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <jaeme@HIDDEN>) id 1qwA68-0001Pv-V3
 for 66694 <at> debbugs.gnu.org; Fri, 27 Oct 2023 01:49:09 +0200
Received: by submission01.runbox with esmtpsa [Authenticated ID (1176697)]
 (TLS1.2:ECDHE_SECP256R1__RSA_PSS_RSAE_SHA256__AES_256_GCM:256)
 (Exim 4.93) id 1qwA5w-00CPgm-7m
 for 66694 <at> debbugs.gnu.org; Fri, 27 Oct 2023 01:48:56 +0200
Content-Type: multipart/mixed; boundary="------------KBKffJzJOsAdclsFPG30G0SX"
Message-ID: <46f3e4e1-c5ee-45fd-941f-70424cd7a4a6@HIDDEN>
Date: Thu, 26 Oct 2023 19:48:51 -0400
MIME-Version: 1.0
User-Agent: Betterbird (Linux)
To: 66694 <at> debbugs.gnu.org
Content-Language: en-US
From: jaeme <jaeme@HIDDEN>
Autocrypt: addr=jaeme@HIDDEN; keydata=
 xsFNBGUh17UBEACj7hvR9/2FmyZlX4RT6acohXPAhgSqDh9s790qOSjuUZr97h5BxwCwulHo
 zkBvVfnZTNQ6M++7ZDNL4YCMxu6iINPcRz9HX9DkNGWlxGEZ0vuqXlKAXrGi73zh4hbzbaPf
 3VjOzj8tEMpu0AtvYj8Tm2sF5YKQczVuaupHUitAUPLvfbgCCEDKMgV1rvv0RNS8bhk/VW88
 Lzr8KOGD63NfzeCuV3GlC9z8hv/rnlCOy+n3wkOpeKqnw9oo81nwU/s45hHgD1Parn1l03hD
 arm8LiSptX8eYfqFilAHieecTjFyr9GMHFrGK9udBPT2hTjddYjZ4csCC2WHNDjrt1N8zF6E
 bp0siqLBgAvGJz23PTg2LgI2H/UtTQZyGElRN0feMjzJKpHdf1Q7uf9ZGPnJZHLkH8OG3oJp
 xxRG/PYL40kBcENHlgO0bvK6HfvP1X+NwXn4rHoxFUr8LYoQK66R3TPYbCpEusuNGRrrVbe2
 Jl/+hAbtBheF4prVVgzGAgQfNn8f13ioAoSENB/ctICKpt0XvtByE5gqD8ozDht+ETgE3xpm
 pAVQb7AWUJDmyWhABbf5VIpDSaQ7VlVRG1eOQQO2pLBWB/BnWiMOUecjQY/qDtx1e4nkYxEF
 hsnzcrsDBIMHYo+EH1prsG5dYL2QKEmaSSkyxqrOfBrVu3LmNwARAQABzR5KYWVtZSBTaWZh
 dCA8amFlbWVAcnVuYm94LmNvbT7CwZQEEwEKAD4WIQTlSaXedR0W+D379S8rvj1MOQt5owUC
 ZSHXtQIbAwUJA8JnAAULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRArvj1MOQt5o4cBD/45
 ImyH4zOCqXlBqPpHTEFNBfLjMOxWs7elgJ61mn0gd7nzU6dHwnXEiapiSEh2WK6JQIOdmBcn
 6T5rMX/n5y1T901fbqIatWWY2NJCU+RqKfJ1SJzN2hSBVhTelMiZKWWqCK7O5bI5QNoOedL1
 I4pzJxw3nC2e3kuTI1FWJS+F2Wz+/Rt6JfjliYltmkQbjH185prcrV6I5iiL3GDF7PNtxgqX
 Z1WyfJJ+dMvJuj8+fkmKQEHXTWCmfjkEE6R1ODzbA3PKnaFVyzVsur43v/ZGnm07NxsFH1Ft
 eTxFVDqW9dVz1FY+aTMVy0ATEnrnAY+aj/2x1civu2wr2OD499u4jdjfxmv4MAeZs9/Ugxz8
 FtbFM4l61I/Kb57IyWjH5EdvaAI4JEdvd3vF3P/Rq/EsVAkjEUHKlEOY4rtugnwJhUDdpU6B
 DZUmkOPvL8rHM+iGjFf97GZTiKCh90Ce6CAWDeNkTzRf5+2/oQ84eJFEAOve9pVpUaHiUTkX
 qsVZMJ0Y38djs/6JCij6n1JBiLg1qgDAko+hoZbltUQ2WVBtAj3kPLmGCXIm0JA0JxKbfwvK
 lFyCUngxAx9xmmm2Zr3nxCedmjvJxI5ICEQugDHg1ZPaL2IxQnVeBUJrZBRQD/O+6/r4sSVv
 yypZgcjH+oXB0PcXQSow56Ye78sB+4qoBc7BTQRlIde1ARAApiELfaRoTRFxKRZPNDZ+BjgT
 DfgFAOCDSEFc30cldyCC45/sUdPh2oHn8bqHGNIHPpCfXjHEl0jwhug6s7bJNsfX7O4BwDk9
 dydc4EwzAxnYkMRLCfm4vlyKH8r1PSQVuqIPGSEhx48UzcyxB8Mn3s7mZW0nf8T4SrDVcdGD
 aIuTRAfdVaVGUpvULruIkgOAEMgirKkefvro0fVgJMM6w8JNw8cxB1GwdEyFI8fKO/kfidSb
 quTEYfvhj8F703RqVwqvgmDnjGgtv5PqYmbhauZortE1xITXknlqNYxoZDSSgH4nmn5yw/Wv
 njUhFaagq/r3lCTrgJEgWGzLTJGFzJdE/u5rj3ZrX+ck5S+74yVSnAtLeK6frJ0g+ECLcxJa
 JcntUytPeqs9nC3YTQ6j9fmCfxyxUl7aIdm5eakpSzR8pRRgkbUY2LDNyY1/k1NzEdLM3gXT
 IGadpjnw10TyoUoypl7734xeQC3wXLLest0sExcsmw2dUVSN6vtOmhs4aW7Wkao96swQ/ulq
 4xR3SEoSUVMP3FnCblmhNEFHVF80XEakg9E7yik7y36sJqFOvhLJO3AqLM6ZzDEp3dVCA6ld
 w/Kej9Ea16F509KWTgBKltnzjZuR3mo7tLbhHqF9wYC3yDnNHevfh+4/0uZNQ8cy2KhoB5Xe
 2/SRtQFL8EEAEQEAAcLBfAQYAQoAJhYhBOVJpd51HRb4Pfv1Lyu+PUw5C3mjBQJlIde1AhsM
 BQkDwmcAAAoJECu+PUw5C3mjLbYP/2/LOik+xQLFcEJNLwXHqNa/hD08meCOxOsZPpN0y5Vx
 Ta8F+RN3TzJUznlTqRL59JRYiPJ3SANeHOzIxFwEzEFrCtuHTJXkXkfbBfjEHEz1szwnnJZd
 y8lEmwZ5bOAqTVjzFSQJpjFCM7Um090rPoTAfOQ7ZYXEIC6UhbmPUzj5ECfFszdcgNthZ4uR
 QPxPPHrihQB5ePEL5fyTGaedst29zVdDvS1u3p2EQix3Mb/BOXbDBJf8eJm2FPk5nAppcwR9
 E7TfZ4uQVGr9HE0w0gLzxEfZn4qd+2NAYUFbzXhN+mk80wo5FKJaMhKXFBKueiRfy4DhMsn6
 fRmQ2s2gOnIjrhl7TKs5M7S+x8Vj93aYxSFZ4ksbdAHTTFq4jHKnSq/tovZGpqTi3EurddAZ
 /QH2QDUaZhNgRYyLfgKJcd31CpLb3xJHknnHodLLPPOY0AofKSNePA9XcAXQ26I3TEd67dFe
 jcMX4fQTy0IOB+47Hz4AZRusrHMQKShYGghq3GCEh6knhlitsNc4eXp230hwgqm1UZA/9Opd
 ruTOQOsNBeEbKoKfpjuv9b/72JoMK2aRmyerxUb7cNvB7DXbyIY54kGifa6ASleA0PRbksXC
 5B2kDoXWLlvCOQLMTQEI9gxMXEF2wPWQLE0CewNRuivUtjdIa3jCkznbF2/OKHz/
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Revised description field. From
 4b2a7afbcb6821a307becdef2fb0ca4b29b85d3c
 Mon Sep 17 00:00:00 2001 Message-Id: From: Jaeme Sifat Date: Thu, 26 Oct
 2023 16:27:45 -0400 Subject: [PATCH] gnu: Add ani-cli. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (jaeme[at]runbox.com)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [2a0c:5a00:149:0:0:0:0:25 listed in] [list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: 66694
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is a multi-part message in MIME format.
--------------KBKffJzJOsAdclsFPG30G0SX
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

Revised description field.



--------------KBKffJzJOsAdclsFPG30G0SX
Content-Type: text/x-patch; charset=UTF-8; name="0001-gnu-Add-ani-cli.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-ani-cli.patch"
Content-Transfer-Encoding: base64
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--------------KBKffJzJOsAdclsFPG30G0SX--




Information forwarded to guix-patches@HIDDEN:
bug#66694; Package guix-patches. Full text available.

Message received at 66694 <at> debbugs.gnu.org:


Received: (at 66694) by debbugs.gnu.org; 26 Oct 2023 20:38:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 26 16:38:18 2023
Received: from localhost ([127.0.0.1]:34601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qw77P-0005PY-I4
	for submit <at> debbugs.gnu.org; Thu, 26 Oct 2023 16:38:18 -0400
Received: from mailtransmit04.runbox.com ([2a0c:5a00:149::25]:42008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jaeme@HIDDEN>) id 1qw77F-0005Of-6Q
 for 66694 <at> debbugs.gnu.org; Thu, 26 Oct 2023 16:38:14 -0400
Received: from mailtransmit03.runbox ([10.9.9.163] helo=aibo1.runbox.com)
 by mailtransmit04.runbox.com with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <jaeme@HIDDEN>) id 1qw76b-005OJI-Ga
 for 66694 <at> debbugs.gnu.org; Thu, 26 Oct 2023 22:37:25 +0200
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector2;
 h=Subject:From:To:MIME-Version:Date:Message-ID:Content-Type; 
 bh=1hzh8WopzyNkN+aIHzuF4m35poaL+HgilCFsY+RgzuI=; b=c28U3UVsFX74C7evUmQgxrqhM
 Dgr1Hc4Xf+QXhrzYWciDojSeKYiTah6fEUTl4OEtFyxrJ7WpS6Qp/bI4ZxJGPq5Zs0M20Veem6HEq
 IcKFWjhdCP1VMgqmpBK6CUyyImu+6/SUaHl0Wo8+IduKnNaz9CFg68UK2F4cZoJ2y0kvXF1i2/fA3
 9iMBBbLh+BwQ+1jbSmOIgE+BL0MLsOHwPK/N5m3pz8DqWxUCHnCtrbCxyLgLs169ajMbJtkcT0o6+
 A0vESh7yYFFXudj7xQ7EoBvtDgFvzCHeYd5JkFwF3wdQq/iPdB6gxpqggjXr1eKJTwz2+W8IJwfkF
 BjOwwGe/w==;
Received: from [10.9.9.74] (helo=submission03.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <jaeme@HIDDEN>) id 1qw76a-0002D2-GY
 for 66694 <at> debbugs.gnu.org; Thu, 26 Oct 2023 22:37:25 +0200
Received: by submission03.runbox with esmtpsa [Authenticated ID (1176697)]
 (TLS1.2:ECDHE_SECP256R1__RSA_PSS_RSAE_SHA256__AES_256_GCM:256)
 (Exim 4.93) id 1qw76G-00CTpA-SD
 for 66694 <at> debbugs.gnu.org; Thu, 26 Oct 2023 22:37:05 +0200
Content-Type: multipart/mixed; boundary="------------psEUvTw1ScN0RgyIwtbhJGew"
Message-ID: <3fef0f08-1816-4abe-a06c-e858a2b74e58@HIDDEN>
Date: Thu, 26 Oct 2023 16:36:59 -0400
MIME-Version: 1.0
User-Agent: Betterbird (Linux)
To: 66694 <at> debbugs.gnu.org
Content-Language: en-US
From: jaeme <jaeme@HIDDEN>
Subject: Revised Patch
Autocrypt: addr=jaeme@HIDDEN; keydata=
 xsFNBGUh17UBEACj7hvR9/2FmyZlX4RT6acohXPAhgSqDh9s790qOSjuUZr97h5BxwCwulHo
 zkBvVfnZTNQ6M++7ZDNL4YCMxu6iINPcRz9HX9DkNGWlxGEZ0vuqXlKAXrGi73zh4hbzbaPf
 3VjOzj8tEMpu0AtvYj8Tm2sF5YKQczVuaupHUitAUPLvfbgCCEDKMgV1rvv0RNS8bhk/VW88
 Lzr8KOGD63NfzeCuV3GlC9z8hv/rnlCOy+n3wkOpeKqnw9oo81nwU/s45hHgD1Parn1l03hD
 arm8LiSptX8eYfqFilAHieecTjFyr9GMHFrGK9udBPT2hTjddYjZ4csCC2WHNDjrt1N8zF6E
 bp0siqLBgAvGJz23PTg2LgI2H/UtTQZyGElRN0feMjzJKpHdf1Q7uf9ZGPnJZHLkH8OG3oJp
 xxRG/PYL40kBcENHlgO0bvK6HfvP1X+NwXn4rHoxFUr8LYoQK66R3TPYbCpEusuNGRrrVbe2
 Jl/+hAbtBheF4prVVgzGAgQfNn8f13ioAoSENB/ctICKpt0XvtByE5gqD8ozDht+ETgE3xpm
 pAVQb7AWUJDmyWhABbf5VIpDSaQ7VlVRG1eOQQO2pLBWB/BnWiMOUecjQY/qDtx1e4nkYxEF
 hsnzcrsDBIMHYo+EH1prsG5dYL2QKEmaSSkyxqrOfBrVu3LmNwARAQABzR5KYWVtZSBTaWZh
 dCA8amFlbWVAcnVuYm94LmNvbT7CwZQEEwEKAD4WIQTlSaXedR0W+D379S8rvj1MOQt5owUC
 ZSHXtQIbAwUJA8JnAAULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRArvj1MOQt5o4cBD/45
 ImyH4zOCqXlBqPpHTEFNBfLjMOxWs7elgJ61mn0gd7nzU6dHwnXEiapiSEh2WK6JQIOdmBcn
 6T5rMX/n5y1T901fbqIatWWY2NJCU+RqKfJ1SJzN2hSBVhTelMiZKWWqCK7O5bI5QNoOedL1
 I4pzJxw3nC2e3kuTI1FWJS+F2Wz+/Rt6JfjliYltmkQbjH185prcrV6I5iiL3GDF7PNtxgqX
 Z1WyfJJ+dMvJuj8+fkmKQEHXTWCmfjkEE6R1ODzbA3PKnaFVyzVsur43v/ZGnm07NxsFH1Ft
 eTxFVDqW9dVz1FY+aTMVy0ATEnrnAY+aj/2x1civu2wr2OD499u4jdjfxmv4MAeZs9/Ugxz8
 FtbFM4l61I/Kb57IyWjH5EdvaAI4JEdvd3vF3P/Rq/EsVAkjEUHKlEOY4rtugnwJhUDdpU6B
 DZUmkOPvL8rHM+iGjFf97GZTiKCh90Ce6CAWDeNkTzRf5+2/oQ84eJFEAOve9pVpUaHiUTkX
 qsVZMJ0Y38djs/6JCij6n1JBiLg1qgDAko+hoZbltUQ2WVBtAj3kPLmGCXIm0JA0JxKbfwvK
 lFyCUngxAx9xmmm2Zr3nxCedmjvJxI5ICEQugDHg1ZPaL2IxQnVeBUJrZBRQD/O+6/r4sSVv
 yypZgcjH+oXB0PcXQSow56Ye78sB+4qoBc7BTQRlIde1ARAApiELfaRoTRFxKRZPNDZ+BjgT
 DfgFAOCDSEFc30cldyCC45/sUdPh2oHn8bqHGNIHPpCfXjHEl0jwhug6s7bJNsfX7O4BwDk9
 dydc4EwzAxnYkMRLCfm4vlyKH8r1PSQVuqIPGSEhx48UzcyxB8Mn3s7mZW0nf8T4SrDVcdGD
 aIuTRAfdVaVGUpvULruIkgOAEMgirKkefvro0fVgJMM6w8JNw8cxB1GwdEyFI8fKO/kfidSb
 quTEYfvhj8F703RqVwqvgmDnjGgtv5PqYmbhauZortE1xITXknlqNYxoZDSSgH4nmn5yw/Wv
 njUhFaagq/r3lCTrgJEgWGzLTJGFzJdE/u5rj3ZrX+ck5S+74yVSnAtLeK6frJ0g+ECLcxJa
 JcntUytPeqs9nC3YTQ6j9fmCfxyxUl7aIdm5eakpSzR8pRRgkbUY2LDNyY1/k1NzEdLM3gXT
 IGadpjnw10TyoUoypl7734xeQC3wXLLest0sExcsmw2dUVSN6vtOmhs4aW7Wkao96swQ/ulq
 4xR3SEoSUVMP3FnCblmhNEFHVF80XEakg9E7yik7y36sJqFOvhLJO3AqLM6ZzDEp3dVCA6ld
 w/Kej9Ea16F509KWTgBKltnzjZuR3mo7tLbhHqF9wYC3yDnNHevfh+4/0uZNQ8cy2KhoB5Xe
 2/SRtQFL8EEAEQEAAcLBfAQYAQoAJhYhBOVJpd51HRb4Pfv1Lyu+PUw5C3mjBQJlIde1AhsM
 BQkDwmcAAAoJECu+PUw5C3mjLbYP/2/LOik+xQLFcEJNLwXHqNa/hD08meCOxOsZPpN0y5Vx
 Ta8F+RN3TzJUznlTqRL59JRYiPJ3SANeHOzIxFwEzEFrCtuHTJXkXkfbBfjEHEz1szwnnJZd
 y8lEmwZ5bOAqTVjzFSQJpjFCM7Um090rPoTAfOQ7ZYXEIC6UhbmPUzj5ECfFszdcgNthZ4uR
 QPxPPHrihQB5ePEL5fyTGaedst29zVdDvS1u3p2EQix3Mb/BOXbDBJf8eJm2FPk5nAppcwR9
 E7TfZ4uQVGr9HE0w0gLzxEfZn4qd+2NAYUFbzXhN+mk80wo5FKJaMhKXFBKueiRfy4DhMsn6
 fRmQ2s2gOnIjrhl7TKs5M7S+x8Vj93aYxSFZ4ksbdAHTTFq4jHKnSq/tovZGpqTi3EurddAZ
 /QH2QDUaZhNgRYyLfgKJcd31CpLb3xJHknnHodLLPPOY0AofKSNePA9XcAXQ26I3TEd67dFe
 jcMX4fQTy0IOB+47Hz4AZRusrHMQKShYGghq3GCEh6knhlitsNc4eXp230hwgqm1UZA/9Opd
 ruTOQOsNBeEbKoKfpjuv9b/72JoMK2aRmyerxUb7cNvB7DXbyIY54kGifa6ASleA0PRbksXC
 5B2kDoXWLlvCOQLMTQEI9gxMXEF2wPWQLE0CewNRuivUtjdIa3jCkznbF2/OKHz/
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66694
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------psEUvTw1ScN0RgyIwtbhJGew
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

I revised my patch to include gexps instead of inferior 
propagated-inputs as was advised to me in the guix IRC room.
--------------psEUvTw1ScN0RgyIwtbhJGew
Content-Type: text/x-patch; charset=UTF-8; name="0001-gnu-Add-ani-cli.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-ani-cli.patch"
Content-Transfer-Encoding: base64

RnJvbSBhNzA4ODJmNTg0Yzk0MDZmNDYzMjVkY2VkMzE2ZTNlZTk1YzczYWVlIE1vbiBTZXAg
MTcgMDA6MDA6MDAgMjAwMQpNZXNzYWdlLUlkOiA8YTcwODgyZjU4NGM5NDA2ZjQ2MzI1ZGNl
ZDMxNmUzZWU5NWM3M2FlZS4xNjk4MzUyMzY5LmdpdC5qYWVtZUBydW5ib3guY29tPgpGcm9t
OiBKYWVtZSBTaWZhdCA8amFlbWVAcnVuYm94LmNvbT4KRGF0ZTogVGh1LCAyNiBPY3QgMjAy
MyAxNjoyNzo0NSAtMDQwMApTdWJqZWN0OiBbUEFUQ0hdIGdudTogQWRkIGFuaS1jbGkuCgoq
IGdudS9wYWNrYWdlcy92aWRlby5zY20gKGFuaS1jbGkpOiBOZXcgdmFyaWFibGUuCgpTaWdu
ZWQtb2ZmLWJ5OiBKYWVtZSBTaWZhdCA8amFlbWVAcnVuYm94LmNvbT4KQ2hhbmdlLUlkOiBJ
ZDI1MTJhNmIyMmRkMmEzYmZlNDRhYTUyNWM2YTcyYzljNTA4MjY1MwotLS0KIGdudS9wYWNr
YWdlcy92aWRlby5zY20gfCA1NyArKysrKysrKysrKysrKysrKysrKysrKysrKysrKysrKysr
KysrKysrKysKIDEgZmlsZSBjaGFuZ2VkLCA1NyBpbnNlcnRpb25zKCspCgpkaWZmIC0tZ2l0
IGEvZ251L3BhY2thZ2VzL3ZpZGVvLnNjbSBiL2dudS9wYWNrYWdlcy92aWRlby5zY20KaW5k
ZXggYjRkZDdjMjdhZS4uNzBmNDgwODcyMyAxMDA2NDQKLS0tIGEvZ251L3BhY2thZ2VzL3Zp
ZGVvLnNjbQorKysgYi9nbnUvcGFja2FnZXMvdmlkZW8uc2NtCkBAIC02Niw2ICs2Niw3IEBA
CiA7OzsgQ29weXJpZ2h0IMKpIDIwMjMgT3R0IEpvb24gPG9qQHZlcm4uY2M+CiA7OzsgQ29w
eXJpZ2h0IMKpIDIwMjMgRG9taW5payBEZWxnYWRvIFN0ZXV0ZXIgPGRkc0BkaXNyb290Lm9y
Zz4KIDs7OyBDb3B5cmlnaHQgwqkgMjAyMyBTYWt1IExhZXN2dW9yaSA8c2FrdUBsYWVzdnVv
cmkuZmk+Cis7OzsgQ29weXJpZ2h0IMKpIDIwMjMgSmFlbWUgU2lmYXQgPGphZW1lQHJ1bmJv
eC5jb20+CiA7OzsKIDs7OyBUaGlzIGZpbGUgaXMgcGFydCBvZiBHTlUgR3VpeC4KIDs7OwpA
QCAtMTE2LDYgKzExNyw3IEBAIChkZWZpbmUtbW9kdWxlIChnbnUgcGFja2FnZXMgdmlkZW8p
CiAgICM6dXNlLW1vZHVsZSAoZ251IHBhY2thZ2VzIGJhc2UpCiAgICM6dXNlLW1vZHVsZSAo
Z251IHBhY2thZ2VzIGJhc2gpCiAgICM6dXNlLW1vZHVsZSAoZ251IHBhY2thZ2VzIGJpc29u
KQorICAjOnVzZS1tb2R1bGUgKGdudSBwYWNrYWdlcyBiaXR0b3JyZW50KQogICAjOnVzZS1t
b2R1bGUgKGdudSBwYWNrYWdlcyBib29zdCkKICAgIzp1c2UtbW9kdWxlIChnbnUgcGFja2Fn
ZXMgY2Ryb20pCiAgICM6dXNlLW1vZHVsZSAoZ251IHBhY2thZ2VzIGNoZWNrKQpAQCAtMTk0
LDYgKzE5Niw3IEBAIChkZWZpbmUtbW9kdWxlIChnbnUgcGFja2FnZXMgdmlkZW8pCiAgICM6
dXNlLW1vZHVsZSAoZ251IHBhY2thZ2VzIHNxbGl0ZSkKICAgIzp1c2UtbW9kdWxlIChnbnUg
cGFja2FnZXMgc3NoKQogICAjOnVzZS1tb2R1bGUgKGdudSBwYWNrYWdlcyBzd2lnKQorICAj
OnVzZS1tb2R1bGUgKGdudSBwYWNrYWdlcyB0ZXJtaW5hbHMpCiAgICM6dXNlLW1vZHVsZSAo
Z251IHBhY2thZ2VzIHRleGluZm8pCiAgICM6dXNlLW1vZHVsZSAoZ251IHBhY2thZ2VzIHRl
eHR1dGlscykKICAgIzp1c2UtbW9kdWxlIChnbnUgcGFja2FnZXMgdGxzKQpAQCAtMjA5LDYg
KzIxMiw2MCBAQCAoZGVmaW5lLW1vZHVsZSAoZ251IHBhY2thZ2VzIHZpZGVvKQogICAjOnVz
ZS1tb2R1bGUgKGdudSBwYWNrYWdlcyB4bWwpCiAgICM6dXNlLW1vZHVsZSAoZ251IHBhY2th
Z2VzIHhvcmcpKQogCisoZGVmaW5lLXB1YmxpYyBhbmktY2xpCisgIChwYWNrYWdlCisgICAg
KG5hbWUgImFuaS1jbGkiKQorICAgICh2ZXJzaW9uICI0LjYiKQorICAgIChzb3VyY2UKKyAg
ICAgKG9yaWdpbgorICAgICAgIChtZXRob2QgZ2l0LWZldGNoKQorICAgICAgICh1cmkgKGdp
dC1yZWZlcmVuY2UKKyAgICAgICAgICAgICAodXJsICJodHRwczovL2dpdGh1Yi5jb20vcHlz
dGFyZHVzdC9hbmktY2xpIikKKyAgICAgICAgICAgICAoY29tbWl0IChzdHJpbmctYXBwZW5k
ICJ2IiB2ZXJzaW9uKSkpKQorICAgICAgIChmaWxlLW5hbWUgKGdpdC1maWxlLW5hbWUgbmFt
ZSB2ZXJzaW9uKSkKKyAgICAgICAoc2hhMjU2CisgICAgICAgIChiYXNlMzIgIjFuaTlwempi
NXFoODdpejdjODI1MmJ4NzlxYWRyMXF4Nmpua3F2dmpjcXJjaGg3cTQ3M2EiKSkpKQorICAg
IChidWlsZC1zeXN0ZW0gY29weS1idWlsZC1zeXN0ZW0pCisgICAgKGFyZ3VtZW50cworICAg
ICAobGlzdAorICAgICAgIzppbnN0YWxsLXBsYW4gI34nKCgiYW5pLWNsaSIgImJpbi8iKQor
ICAgICAgICAgICAgICAgICAgICAgICAgICgiYW5pLWNsaS4xIiAic2hhcmUvbWFuL21hbjEv
IikpCisgICAgICAjOnBoYXNlcyAjfihtb2RpZnktcGhhc2VzICVzdGFuZGFyZC1waGFzZXMK
KyAgICAgICAgICAgICAgICAgICAoYWRkLWFmdGVyICdpbnN0YWxsICd3cmFwCisgICAgICAg
ICAgICAgICAgICAgICAobGFtYmRhKiAoIzprZXkgaW5wdXRzICM6YWxsb3ctb3RoZXIta2V5
cykKKyAgICAgICAgICAgICAgICAgICAgICAgKGRlZmluZSAoYmluIGNvbW1hbmQpCisgICAg
ICAgICAgICAgICAgICAgICAgICAgKGRpcm5hbWUgKHNlYXJjaC1pbnB1dC1maWxlIGlucHV0
cworICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAoc3RyaW5nLWFwcGVuZCAiYmluLyIKKyAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgY29tbWFuZCkpKSkKKyAg
ICAgICAgICAgICAgICAgICAgICAgKHdyYXAtcHJvZ3JhbSAoc3RyaW5nLWFwcGVuZCAjJG91
dHB1dCAiL2Jpbi9hbmktY2xpIikKKyAgICAgICAgICAgICAgICAgICAgICAgICBgKCJQQVRI
IiAiOiIgcHJlZml4CisgICAgICAgICAgICAgICAgICAgICAgICAgICAsKG1hcCBiaW4KKyAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgIChsaXN0ICJhcmlhMmMiCisgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAiY3VybCIKKyAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICJmZm1wZWciCisgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAiZnpmIgorICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgImdyZXAiCisgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAibXB2IgorICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgInNl
ZCIKKyAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICJ1bmFtZSIKKyAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICJ5dC1kbHAiKSkpKSkpKSkp
CisgICAgKGhvbWUtcGFnZSAiaHR0cHM6Ly9naXRodWIuY29tL3B5c3RhcmR1c3QvYW5pLWNs
aSIpCisgICAgKHN5bm9wc2lzICJDTEkgdG8gYnJvd3NlIGFuZCB3YXRjaCBhbmltZSIpCisg
ICAgKGRlc2NyaXB0aW9uCisgICAgICJhbmktY2xpIGlzIGEgY29tbWFuZC1saW5lIGludGVy
ZmFjZSAoY2xpKSB0byBicm93c2UgYW5kIHdhdGNoIGFuaW1lCisoYWxvbmUgQU5EIHdpdGgg
ZnJpZW5kcykuICBJdCBwcm92aWRlcyBhbiBlYXN5IHdheSB0byBzdHJlYW0gc2hvd3MgZnJv
bQorYWxsYW5pbWUgZGlyZWN0bHkuICBUaGVyZSBpcyBkaWZmZXJlbnQgZmVhdHVyZXMgc3Vj
aCBhcyBlcGlzb2RlIGJyb3dzaW5nLAoraGlzdG9yeSB0cmFja2luZywgc3RyZWFtaW5nIGF0
IG11bHRpcGxlIHJlc29sdXRpb25zIGFuZCBtdWNoIG1vcmUgZGVwZW5kaW5nIG9uCit3aGF0
IHByb2dyYW1zIHRoZSB1c2VyIGhhcyBpbnN0YWxsZWQuIikKKyAgICAoaW5wdXRzIChsaXN0
IGFyaWEyCisgICAgICAgICAgICAgICAgICBjb3JldXRpbHMKKyAgICAgICAgICAgICAgICAg
IGN1cmwKKyAgICAgICAgICAgICAgICAgIGZmbXBlZworICAgICAgICAgICAgICAgICAgZnpm
CisgICAgICAgICAgICAgICAgICBtcHYKKyAgICAgICAgICAgICAgICAgIHl0LWRscCkpCisg
ICAgKGxpY2Vuc2UgbGljZW5zZTpncGwzKSkpCisKIChkZWZpbmUtcHVibGljIHRyYW5zY29k
ZQogICAocGFja2FnZQogICAgIChuYW1lICJ0cmFuc2NvZGUiKQoKYmFzZS1jb21taXQ6IDMz
ZjViNzQ3YjRhMGE1MDhlMWZmYzk0YTViZjQyNWNmZjcwN2M2ZTMKLS0gCjIuMzQuMQoK

--------------psEUvTw1ScN0RgyIwtbhJGew--




Information forwarded to guix-patches@HIDDEN:
bug#66694; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Oct 2023 05:12:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 23 01:12:24 2023
Received: from localhost ([127.0.0.1]:48828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qunEm-0004ey-5O
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2023 01:12:24 -0400
Received: from lists.gnu.org ([2001:470:142::17]:37452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jaeme@HIDDEN>) id 1qunEg-0004eX-Nm
 for submit <at> debbugs.gnu.org; Mon, 23 Oct 2023 01:12:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jaeme@HIDDEN>) id 1qunE7-0001d9-10
 for guix-patches@HIDDEN; Mon, 23 Oct 2023 01:11:43 -0400
Received: from mailtransmit04.runbox.com ([2a0c:5a00:149::25])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jaeme@HIDDEN>) id 1qunE4-0003HW-Jg
 for guix-patches@HIDDEN; Mon, 23 Oct 2023 01:11:42 -0400
Received: from mailtransmit03.runbox ([10.9.9.163] helo=aibo1.runbox.com)
 by mailtransmit04.runbox.com with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <jaeme@HIDDEN>) id 1qunDx-00D6Nc-6b
 for guix-patches@HIDDEN; Mon, 23 Oct 2023 07:11:33 +0200
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector2;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:
 Message-Id:Date:Subject:Cc:To:From;
 bh=xxyN9tuMHcTNvqpghBdqWaZyE4RKLQm7956CVO+WH3U=; b=U5lgRb7/YbXpREK4DFUUmCYGbZ
 RIZPwzdJ2KCxrvg/U4cjc163oXJktbWa6PVoxEWiFC5NYdxfkQn04Kf1UAFs4Dd179/s4WtRkgAUO
 1Jr03YfPSA0wb8eYrGeyFKSDhXu5w7+Buja1MD2Xpo5wOBC7bfjjmcfKCYbyIs8v+Yer9RppEOiMZ
 21OtVpiioQXT1d0LG/522izTecRIvoc3kXE047rUUeS7RFjhqWk5K7i2+ZPuuD6C0wUog01w66jcc
 Tlmm9ci/FYi6954nKvT7sodxPQHKFRqG1Yz3jZs0SS/zklcaAZI7UujDXFd7zWMV65KpJf0LPi4IH
 TEKkNYFg==;
Received: from [10.9.9.74] (helo=submission03.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <jaeme@HIDDEN>) id 1qunDw-0001qb-Co
 for guix-patches@HIDDEN; Mon, 23 Oct 2023 07:11:32 +0200
Received: by submission03.runbox with esmtpsa [Authenticated ID (1176697)]
 (TLS1.2:ECDHE_SECP256R1__RSA_PSS_RSAE_SHA256__AES_256_GCM:256)
 (Exim 4.93) id 1qunDi-001zJP-2z; Mon, 23 Oct 2023 07:11:18 +0200
From: Jaeme Sifat <jaeme@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add ani-cli
Date: Mon, 23 Oct 2023 01:10:55 -0400
Message-Id: <20231023051055.1470319-1-jaeme@HIDDEN>
X-Mailer: git-send-email 2.34.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2a0c:5a00:149::25; envelope-from=jaeme@HIDDEN;
 helo=mailtransmit04.runbox.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Change-Id: I922b98d5a047760974a22499d7a299bdf932ef1a --- gnu/packages/video.scm
    | 34 ++++++++++++++++++++++++++++++++++ 1 file changed, 34 insertions(+)
   diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm index b4dd7c27ae..e5166a3aa2
    100644 --- a/gnu/packages/video.scm +++ b/gnu/packages/video.scm @@ -66,6
    +66,7 @@ ;;; Copyright © 2023 Ott J [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (jaeme[at]runbox.com)
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=jaeme%40runbox.com;ip=2001%3A470%3A142%3A%3A17;r=debbugs.gnu.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
Cc: Jaeme Sifat <jaeme@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

Change-Id: I922b98d5a047760974a22499d7a299bdf932ef1a
---
 gnu/packages/video.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index b4dd7c27ae..e5166a3aa2 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -66,6 +66,7 @@
 ;;; Copyright © 2023 Ott Joon <oj@HIDDEN>
 ;;; Copyright © 2023 Dominik Delgado Steuter <dds@HIDDEN>
 ;;; Copyright © 2023 Saku Laesvuori <saku@HIDDEN>
+;;; Copyright © 2023 Jaeme Sifat <jaeme@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -116,6 +117,7 @@ (define-module (gnu packages video)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages bison)
+  #:use-module (gnu packages bittorrent)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages cdrom)
   #:use-module (gnu packages check)
@@ -194,6 +196,7 @@ (define-module (gnu packages video)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages ssh)
   #:use-module (gnu packages swig)
+  #:use-module (gnu packages terminals)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages textutils)
   #:use-module (gnu packages tls)
@@ -5721,3 +5724,34 @@ (define-public svtplay-dl
 broadcasters including SVT Play, Sveriges Radio, TV4 Play, along with many
 others.")
     (license license:expat)))
+
+(define-public ani-cli
+  (package
+    (name "ani-cli")
+    (version "4.6")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/pystardust/ani-cli")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1ni9pzjb5qh87iz7c8252bx79qadr1qx6jnkqvvjcqrchh7q473a"))))
+    (build-system copy-build-system)
+    (arguments
+     `(#:install-plan '(("ani-cli" "bin/")
+                        ("ani-cli.1" "share/man/man1/"))))
+    (home-page "https://github.com/pystardust/ani-cli")
+    (synopsis "CLI to browse and watch anime")
+    (description
+     "ani-cli is a shell script command-line tool for browsing and watching
+anime using allanime as a source.  It can stream at multiple resolutions and
+provides multiple interfaces such as rofi.")
+    (propagated-inputs (list mpv
+                             yt-dlp
+                             ffmpeg
+                             fzf
+                             curl
+                             aria2))
+    (license license:gpl3)))

base-commit: 56742f79c0d41e7a642154d9f04b9a344c47a6dc
-- 
2.34.1





Acknowledgement sent to Jaeme Sifat <jaeme@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#66694; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Nov 2023 14:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.